locked
Updating a Windows 2003 Server with an MSU file RRS feed

  • Question

  • I have been hacking away at this for a few hours now and everything I find tells me to simply associate the MSU extension with the wusa.exe file in the C:\windows\system32 directory...  It does not exist.  I have tried upgrading the Windows Installer version to 4.5 and that still didn't work.  I don't get it.  All I want to do is install the new version of PowerShell on a server (Version 3.0)...

    Thanks!

    Tony

    Tuesday, October 18, 2011 9:43 PM

Answers

  • Hi,

    MSU packages are new setup packages build to server windows Vista and higher OS system. You cannot install them on windows server 2003.

    Also you wouldn’t not find any updates/fixes that have MSU extension and are for windows server 2003/XP.

    If there isn’t any .msi package that means this update is only for higher OS.

    What MSU file are you tring to install?

     

    Will appreciate if you give feedback if this has helped you. If yes please select “Mark as answer”.

     

    Best Regards,

    Spas Kaloferov

    [ MCITP: SA7 | EA7 | VA7 | EDA7 |DBA10 | DBD10 | BID10 | EMA14 | SPA14  ]

    NetShell Services & Solutions | “Design the future with simplicity and elegance”

    Visit me at: www.spaskaloferov.com | www: www.netshell-solutions.com

    Friday, October 21, 2011 8:57 AM
  • Hi,

    This package is for Windows 7. The current version that comes with Windows 7 Is PowerShell 2.0. There is no PowerShell 3.0. If you want to have PowerShell 2.0 on windows Server 2003 you need to install the Windows management Framework core:

     

    Windows Management Framework (Windows PowerShell 2.0, WinRM 2.0, and BITS 4.0)

    http://support.microsoft.com/kb/968929

     

    Best Regards,

    Spas Kaloferov

    [ MCITP: SA6 | EA6 | VA7 | EDA7 |DBA10 | DBD10 | BID10 | EMA14 | SPA14  ]

    NetShell Services & Solutions | “Design the future with simplicity and elegance”

    Visit me at: www.spaskaloferov.com | www: www.netshell-solutions.com


    This posting is provided "AS IS" with no warranties or guarantees, and confers no rights.

    Monday, October 24, 2011 8:11 PM

All replies

  • Hi,

    MSU packages are new setup packages build to server windows Vista and higher OS system. You cannot install them on windows server 2003.

    Also you wouldn’t not find any updates/fixes that have MSU extension and are for windows server 2003/XP.

    If there isn’t any .msi package that means this update is only for higher OS.

    What MSU file are you tring to install?

     

    Will appreciate if you give feedback if this has helped you. If yes please select “Mark as answer”.

     

    Best Regards,

    Spas Kaloferov

    [ MCITP: SA7 | EA7 | VA7 | EDA7 |DBA10 | DBD10 | BID10 | EMA14 | SPA14  ]

    NetShell Services & Solutions | “Design the future with simplicity and elegance”

    Visit me at: www.spaskaloferov.com | www: www.netshell-solutions.com

    Friday, October 21, 2011 8:57 AM
  • I am trying to install WINDOWS6.1-KB2506143-x86.msu to upgrade to Powershell 3.0.  Do you know if there is an upgrade for older OS's?
    Monday, October 24, 2011 8:01 PM
  • Hi,

    This package is for Windows 7. The current version that comes with Windows 7 Is PowerShell 2.0. There is no PowerShell 3.0. If you want to have PowerShell 2.0 on windows Server 2003 you need to install the Windows management Framework core:

     

    Windows Management Framework (Windows PowerShell 2.0, WinRM 2.0, and BITS 4.0)

    http://support.microsoft.com/kb/968929

     

    Best Regards,

    Spas Kaloferov

    [ MCITP: SA6 | EA6 | VA7 | EDA7 |DBA10 | DBD10 | BID10 | EMA14 | SPA14  ]

    NetShell Services & Solutions | “Design the future with simplicity and elegance”

    Visit me at: www.spaskaloferov.com | www: www.netshell-solutions.com


    This posting is provided "AS IS" with no warranties or guarantees, and confers no rights.

    Monday, October 24, 2011 8:11 PM